-- Simple addon: adds bonus IDs of items to their tooltips.

local bonusIDs = {
	[566] = "Heroic",
	[567] = "Mythic",
	
	[561] = "Warforged", -- Heroic WF
	[562] = "Warforged", -- Mythic WF	
	
	[564] = "Socket", -- Heroic-only Socket
	[565] = "Socket", -- Mythic-only Socket
	
	[40] = "Avoidance",
	[41] = "Leech",
	[42] = "Speed",
	[43] = "Indestructible",
	}
	
	
--|cffa335ee|Hitem:113835:0:0:0:0:0:0:0:100:0:6:1:567|h[Shards of Nothing]|h|r
	
local function AddBonusIDs(self)

	local name, link = self:GetItem();
	
	if link then

		-- Normal link string: --|cffa335ee|Hitem:113835:0:0:0:0:0:0:0:100:0:6:1:567|h[Shards of Nothing]|h|r
		-- We want: num:num:num:num etc.
		
		local pattern = "Hitem:(.-)|h" -- Return least amount of chars between "Hitem:" and "|h"
		local reduced = string.match(link, pattern);
		
		local bonusStartNum = 13;
		
		local attributes = { strsplit(":", reduced) };		
		local numBonuses = tonumber(attributes[bonusStartNum]);
		
		if numBonuses > 0 then			
			self:AddLine(" ");
			
			local firstLine = true
			
			for i = 1, numBonuses do
				local leftText = firstLine and "Bonus IDs:" or " ";
				local rightText = "";
				
				local bonus = tonumber(attributes[i + bonusStartNum]);
				
				if bonusIDs[bonus] then
					rightText = rightText .. "|cffbbbbbb" .. bonusIDs[bonus] .. "|r ";
				end
				
				rightText = rightText .. "|cffffffff" .. tostring(bonus) .. "|r";	
				
				firstLine = false;
				
				self:AddDoubleLine(leftText, rightText)
				self:Show();
			end			
		end
	end
end

GameTooltip:HookScript("OnTooltipSetItem", AddBonusIDs);
ItemRefTooltip:HookScript("OnTooltipSetItem", AddBonusIDs);
	